--- a
+++ b/utils/benchmark/ebizzy-0.2/configure
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+if [ "`uname -s`" != "Linux" ] && [ "`uname -s`" != "SunOS" ]; then
+    echo "Only Linux or Solaris supported"
+    exit 1
+fi
+
+LIBS="-lpthread"
+FLAGS=""
+
+if [ "`uname -s`" = "SunOS" ]; then
+        LIBS="${LIBS} -lmalloc"
+     FLAGS="${FLAGS} -D_solaris"
+fi
+
+cat <<EOF > Makefile
+all: ebizzy
+
+ebizzy: ebizzy.c
+     gcc -Wall -Wshadow ${LIBS} ${FLAGS} -o ebizzy ebizzy.c
+
+clean:
+     rm -f ebizzy *~
+EOF
+
+echo "Type 'make' to compile"
+